const getSitemap = (site, allSitePage) =>
  allSitePage.nodes
    .map((edge) => {
      try {
        if (
          edge.pageContext.page &&
          edge.pageContext.page.robot_options &&
          edge.pageContext.page.robot_options.page_index === 0
        ) {
          return null;
        }
      } catch (err) {
        // eslint-disable-next-line no-console
        console.log(err);
      }
      return {
        url: site.siteMetadata.siteUrl + edge.path,
        lastmod: edge.pageContext.page.updated_at,
      };
    })
    .filter((edge) => edge);

module.exports = { getSitemap };
